## org.apache.xml.serializer
Interface DOMSerializer

All Known Subinterfaces:
  DOMSerializer, SerializationHandler

All Known Implementing Classes:
  AdaptiveResultTreeImpl, EmptySerializer, SerializerBase, SimpleResultTreeImpl, StringValueHandler, ToHTMLSAXHandler, ToHTMLStream, ToSAXHandler, ToStream, ToTextSAXHandler, ToTextStream, ToUnknownStream, ToXMLSAXHandler, ToXMLStream

    public interface DOMSerializer

Interface for a DOM serializer implementation.

The DOMSerializer is a facet of a serializer and is obtained from the asDOMSerializer() method of the Serializer interface. A serializer may or may not support a DOM serializer, if it does not then the return value from asDOMSerializer() is null.

Example:

     Document     doc;
     Serializer   ser;
     OutputStream os;

     ser = ...;
     os = ...;

     ser.setOutputStream( os );
     DOMSerialzier dser = ser.asDOMSerializer();
     dser.serialize(doc);

See Also:
  `Serializer`
Usage:

Method Summary
`void` `serialize(org.w3c.dom.Node node)` Serializes the DOM node.

Method Detail

### serialize

    void serialize(org.w3c.dom.Node node)
                   throws java.io.IOException

  Serializes the DOM node. Throws an exception only if an I/O exception occured while serializing. This interface is a public API.

  Parameters:
    `node` - the DOM node to serialize
  Throws:
    `java.io.IOException` - if an I/O exception occured while serializing

Copyright © 2005 Apache XML Project. All Rights Reserved.